<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from cookbook.texi on 28 April 1999 -->

<TITLE>The SUIF COOKBOOK - Preface</TITLE>
<link href="cookbook_2.html" rel=Next>
<link href="cookbook_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the first, previous, <A HREF="cookbook_2.html">next</A>, <A HREF="cookbook_8.html">last</A> section, <A HREF="cookbook_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC1" HREF="cookbook_toc.html#TOC1">Preface</A></H1>

<P>
This document contains a series of examples so that you may see how SUIF
passes are written.  The examples range from the very simple to the
reasonably complex.  They are designed to illustrate different features
of the SUIF framework.

</P>
<P>
This document assumes that three packages are installed: "basesuif",
the base SUIF system, "suifbuilder", and "baseparsuif", the base
parallelziation system for SUIF.

</P>
<P>
The source for these examples may also be found in the <CODE>examples</CODE>
directory of the "cookbook" distribution.

</P>

<UL>
<LI><A HREF="cookbook_2.html#SEC2">Example 1</A>: The "Hello World" equivalent
<LI><A HREF="cookbook_3.html#SEC9">Example 2</A>: Simple printing of array instructions
<LI><A HREF="cookbook_4.html#SEC15">Example 3</A>: More advanced printing array instructions
<LI><A HREF="cookbook_5.html#SEC21">Example 4</A>: Find dependence vectors
<LI><A HREF="cookbook_6.html#SEC26">Example 5</A>: Create unique loop index variables
<LI><A HREF="cookbook_7.html#SEC33">Example 6</A>: Preprocessor for dependence analyzer
<LI><A HREF="cookbook_8.html#SEC43">Index</A>: Index
</UL>

<P><HR><P>
<p>Go to the first, previous, <A HREF="cookbook_2.html">next</A>, <A HREF="cookbook_8.html">last</A> section, <A HREF="cookbook_toc.html">table of contents</A>.
</BODY>
</HTML>
